<template>
    <div>
        <div class="topbar">
            <a href="https://0to100.ink">
                <img class="logo" src="/LogoLight.png" alt="0to100 Logo" />
            </a>
            <a href="https://gitlab.com/0to100/twitch-flag-quiz">
                <img class="gitlab" src="/GitLab_Logo.svg" alt="GitLab Logo" />
            </a>
        </div>
        <Nuxt />
    </div>
</template>

<style>
html {
    font-family: 'Inter', sans-serif;
    font-size: 20px;
    word-spacing: 1px;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    box-sizing: border-box;
    background-color: #09090c;
}

body {
    overflow: hidden;
}

.topbar {
    position: absolute;
    height: 100px;
}

.logo {
    margin: 30px;
    height: 40px;
}

.gitlab {
    filter: grayscale(1);
    margin: 50px 0 30px;
    height: 20px;
    transition: all 400ms ease-in-out;
}

.gitlab:hover {
    filter: grayscale(0);
}

*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
}

h1 {
    position: absolute;
    left: 0;
    bottom: 0;
    line-height: 1em;
    font-weight: 900;
    font-size: 140px;
    color: #441193;
    opacity: 0.5;
    z-index: -1;
}

h2 {
    font-weight: 500;
    font-size: 20px;
    color: #adadb8;
}

.input {
    font-family: 'Inter', sans-serif;
    font-weight: 800;
    font-size: 50px;
    color: #dedee2;
}

input {
    outline: none;
    border: none;
    background: transparent;
}

.button {
    cursor: pointer;
    padding: 20px 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    background-color: #441193;
}

.flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.sidepanel {
    width: 450px;
    margin-left: auto;
    height: 100vh;
    background-color: #1f1f23;
    padding: 60px 40px;
}

::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #515151;
    opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #515151;
}

::-ms-input-placeholder {
    /* Microsoft Edge */
    color: #515151;
}
</style>
